Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.looksgood.ani
Class AniSequence

    java.lang.Object
      de.looksgood.ani.AniSequence

    public class AniSequence

extends java.lang.Object

The Class AniSequence creates sequences out of instances of Ani. Each step is either one single Ani or multiple Anis at the same time (in parallel). Please note: AniSequence expects that you add only Anis which do have playMode/repeatMode set to BACKWARD, YOYO, COUNT and FOREVER!

Constructor Summary
`AniSequence(PApplet thePapplet)` Instantiates a new ani sequence.

Method Summary
`void` | `add(Ani theAni)` Adds a single Ani to the sequence
`void` | `add(Ani[] theAnis)` Adds multiple Anis to the sequence
`void` | `beginSequence()` Begin sequence
`void` | `beginStep()` Begin a new step, everything after until endStep() is called is treated as a single step
`void` | `endSequence()` End sequence
`void` | `endStep()` End the step
`float` | `getDuration()` Gets the duration of the sequence
`float` | `getSeek()` Gets the current seek value (start = 0.0 end = 1.0)
`int` | `getStepCount()` Gets the count step
`int` | `getStepNumber()` Gets the current step
`float` | `getTime()` Gets the current position in time of the sequence
`boolean` | `isEnded()` Checks if the sequence is ended.
`boolean` | `isPlaying()` Checks if sequence is playing
`void` | `pause()` Pause the sequence at the current position in time
`void` | `pre()` No need to call ever this method.
`void` | `resume()` Resume the sequence from the current position in time (adjustable with seek)
`void` | `seek(float theValue)` Seek the sequence to any position: start = 0.0 end = 1.0
`void` | `start()` Start the first step of the sequence

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AniSequence

    public AniSequence(PApplet thePapplet)

  Instantiates a new ani sequence.

  Parameters:
    `thePapplet` -

Method Detail

### pre

    public void pre()

  No need to call ever this method. Only public to use the registerMethod() mechanism

### seek

    public void seek(float theValue)

  Seek the sequence to any position: start = 0.0 end = 1.0

  Parameters:
    `theValue` - seek value: 0.0 - 1.0

### add

    public void add(Ani theAni)

  Adds a single Ani to the sequence

  Parameters:
    `theAni` -

### add

    public void add(Ani[] theAnis)

  Adds multiple Anis to the sequence

  Parameters:
    `theAnis` -

### beginStep

    public void beginStep()

  Begin a new step, everything after until endStep() is called is treated as a single step

### endStep

    public void endStep()

  End the step

### start

    public void start()

  Start the first step of the sequence

### resume

    public void resume()

  Resume the sequence from the current position in time (adjustable with seek)

### pause

    public void pause()

  Pause the sequence at the current position in time

### beginSequence

    public void beginSequence()

  Begin sequence

### endSequence

    public void endSequence()

  End sequence

### isPlaying

    public boolean isPlaying()

  Checks if sequence is playing

  Returns:
    true, if sequence is playing

### isEnded

    public boolean isEnded()

  Checks if the sequence is ended.

  Returns:
    true, if the sequence is ended

### getSeek

    public float getSeek()

  Gets the current seek value (start = 0.0 end = 1.0)

  Returns:
    theValue seek value

### getDuration

    public float getDuration()

  Gets the duration of the sequence

  Returns:
    the duration

### getStepNumber

    public int getStepNumber()

  Gets the current step

  Returns:
    the step number

### getStepCount

    public int getStepCount()

  Gets the count step

  Returns:
    the step count

### getTime

    public float getTime()

  Gets the current position in time of the sequence

  Returns:
    the position

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library Ani by Benedikt Gross. (c) 2015